extends Control

const MAX_PAGES = 3
signal changedPage

var page = Singleton.page	# 0 -> normal, 1 -> purist, 2 -> daily challenge


func update():
	$Label.text = tr(getPageText(page))
	
	if page == 0:
		$Hexagon.color = Color.WHITE
	elif page == 1:
		$Hexagon.color = Color.CRIMSON
	elif page == 2:
		$Hexagon.color = Color.GOLD


func getPageText(page: int) -> String:
	match page:
		1: return "PURISTMODE"
		2: return "DAILYMODE"
		_: return "NORMALMODE"


func _on_click(_viewport: Node, event: InputEvent, _shape_idx: int) -> void:
	if event.is_action_pressed("left_mouse"):
		page = page + 1 if page < MAX_PAGES - 1 else 0
		Singleton.page = page
		FileOps.savePage(page)
		changedPage.emit()

		update()


func _on_root_loaded_page() -> void:
	page = Singleton.page
	update()
	changedPage.emit()
