extends Control

signal loadedPage


func _ready():
	var data = FileOps.loadSettings()

	Singleton.sound = data.sound
	Singleton.vibrate = data.vibrate
	Singleton.lang = getLang(data.language)
	Singleton.sensitivity = data.sensitivity
	Singleton.doubletap = data.doubletap
	Singleton.showZeros = data.showZeros
	Singleton.countDown = data.countDown
	Singleton.showOutline = data.showOutline
	Singleton.hideSafeBlocks = data.hideSafeBlocks
	Singleton.highlightZeros = data.highlightZeros
	Singleton.page = data.page

	TranslationServer.set_locale(Singleton.lang)

	$Stats/Area2D/RichTextLabel.text = "[center]" + tr("STATS") + "[/center]"
	$Settings/ConfigCircle/RichTextLabel.text = "[center]" + tr("SETTINGS") + "[/center]"
	$Tutorial/TutorialCircle/RichTextLabel.text = "[center]" + tr("TUTORIAL") + "[/center]"

	loadedPage.emit()


func getLang(langNum):
	match langNum:
		0:
			return "en"
		1:
			return "de"
		2:
			return "esp"
