extends Control

var white  = Color("#ffffff")
var orange = Color("#ff5814")
var grey   = Color("#898989")
var gold   = Color.GOLDENROD
var hovering = 0
var canLoad  = false
var loadGame = false
var canPlayDailyBeginner   = true
var canPlayDailyIntermediate = true
var canPlayDailyMaster   = true


func _ready():
	get_tree().quit_on_go_back = true
	$Continue/RichTextLabel.text = "[center]" + tr("CONTINUE") + "[/center]"


func updateContinue():

	if Singleton.page == 2:
		canDoDaily()
	else:
		reset()

	if FileOps.saveExists(Singleton.page):
		canLoad = true
		$Continue/BG.color = white
	else:
		canLoad = false
		$Continue/BG.color = grey


func reset():
	canPlayDailyBeginner 	 = true
	canPlayDailyIntermediate = true
	canPlayDailyMaster   	 = true
	$Beginner/BG.color 		 = white
	$Intermediate/BG.color	 = white
	$Master/BG.color 		 = white

	$Continue/RichTextLabel.text = "[center]" + tr("CONTINUE") + "[/center]"
	$Beginner/RichTextLabel.text = "[center]" + tr("EASY") + " 5x5x5" + "[/center]"
	$Intermediate/RichTextLabel.text = "[center]" + tr("MEDIUM") + " 9x9x9" + "[/center]"
	$Master/RichTextLabel.text = "[center]" + tr("HARD") + " 15x15x15" + "[/center]"


func canDoDaily():
	var today = FileOps.getTodayString()

	var dailyData = FileOps.loadDaily()

	if dailyData.lastDaily != today:
		FileOps.deleteSave(2)
		FileOps.resetDailyData(today)
		reset()

	else:
		if !dailyData.playedBeginner:
			canPlayDailyBeginner = true
			$Beginner/BG.color 	 = white
		else:
			canPlayDailyBeginner = false

			if dailyData.timeBeginner == -1:
				$Beginner/BG.color = grey
				$Beginner/RichTextLabel.text = "[center]" + tr("NEXTTIME") + "[/center]"
			
			else:
				$Beginner/BG.color = gold
				$Beginner/RichTextLabel.text = "[center]" + str(dailyData.timeBeginner) + "[/center]"

		if !dailyData.playedIntermediate:
			canPlayDailyIntermediate = true
			$Intermediate/BG.color 	 = white
		else:
			canPlayDailyIntermediate = false

			if dailyData.timeIntermediate == -1:
				$Intermediate/BG.color = grey
				$Intermediate/RichTextLabel.text = "[center]" + tr("NEXTTIME") + "[/center]"

			else:
				$Intermediate/BG.color = gold
				$Intermediate/RichTextLabel.text = "[center]" + str(dailyData.timeIntermediate) + "[/center]"

		if !dailyData.playedMaster:
			canPlayDailyMaster = true
			$Master/BG.color   = white
		else:
			canPlayDailyMaster = false

			if dailyData.timeMaster == -1:
				$Master/BG.color = grey
				$Master/RichTextLabel.text = "[center]" + tr("NEXTTIME") + "[/center]"

			else:
				$Master/BG.color = gold
				$Master/RichTextLabel.text = "[center]" + str(dailyData.timeMaster) + "[/center]"


func _process(_delta):
	if hovering > 0:
		if Input.is_action_just_released("left_mouse"):
			Singleton.fieldSize = hovering
			Singleton.loadGame  = loadGame
			get_tree().change_scene_to_file("res://scenes/LoadingScreenLight.tscn")

	if Input.is_action_just_pressed("exit"):
		get_tree().quit()


func _on_button_mouse_entered() -> void:
	if canPlayDailyBeginner:
		$Beginner/BG.color = orange
		hovering = 5


func _on_button_mouse_exited() -> void:
	if canPlayDailyBeginner:
		$Beginner/BG.color = white
		hovering = 0


func _on_button_2_mouse_entered() -> void:
	if canPlayDailyIntermediate:
		$Intermediate/BG.color = orange
		hovering = 9


func _on_button_2_mouse_exited() -> void:
	if canPlayDailyIntermediate:
		$Intermediate/BG.color = white
		hovering = 0


func _on_button_3_mouse_entered() -> void:
	if canPlayDailyMaster:
		$Master/BG.color = orange
		hovering = 15


func _on_button_3_mouse_exited() -> void:
	if canPlayDailyMaster:
		$Master/BG.color = white
		hovering = 0


func _on_continue_mouse_entered() -> void:
	if canLoad:
		$Continue/BG.color = white
		# default size, setting the actual size on loading
		hovering = 9
		loadGame = true
 

func _on_continue_mouse_exited() -> void:
	if canLoad:
		$Continue/BG.color = white
		hovering = 0
		loadGame = false


func _on_mode_changed_page() -> void:
	reset()
	updateContinue()
